Subject: Bug#1096198: [Pkg-nagios-devel] Bug#1096198: Bug#1096198: monitoring-plugins-contrib: check_running_kernel has no idea what riscv64 kernel is running

From: Holger Levsen <[email-masked]>
Date: Mon, 17 Feb 2025 15:30:04 +0000

On Mon, Feb 17, 2025 at 03:42:37PM +0100, Sebastiaan Couwenberg wrote:
> Control: tags -1 pending
> Added a patch in git to also check vmlinux images again which resolves the issue on the porterbox at least.

I tried to build current git to confirm, but it ftbfs for me:

[...]
make -C src
make[4]: Verzeichnis „/home/holger/nagios-plugins-contrib/check_hpasm/check_hpasm-4.9“ wird betreten
CDPATH="${ZSH_VERSION+.}:" && cd . && /bin/bash '/home/holger/nagios-plugins-contrib/check_hpasm/src/missing' aclocal-1.16
/home/holger/nagios-plugins-contrib/check_hpasm/src/missing: Zeile 81: aclocal-1.16: Kommando nicht gefunden.
WARNING: 'aclocal-1.16' is missing on your system.
         You should only need it if you modified 'acinclude.m4' or
         'configure.ac' or m4 files included by 'configure.ac'.
         The 'aclocal' program is part of the GNU Automake package:
         <http://www.gnu.org/software/automake>
         It also requires GNU Autoconf, GNU m4 and Perl in order to run:
         <http://www.gnu.org/software/autoconf>
         <http://www.gnu.org/software/m4/>
         <http://www.perl.org/>
make[4]: *** [Makefile:337: aclocal.m4] Fehler 127
make[4]: Verzeichnis „/home/holger/nagios-plugins-contrib/check_hpasm/check_hpasm-4.9“ wird verlassen
make[3]: *** [Makefile:10: check_hpasm] Fehler 2
make[3]: Verzeichnis „/home/holger/nagios-plugins-contrib/check_hpasm“ wird verlassen
make[2]: *** [Makefile:25: check_hpasm] Fehler 2
make[2]: Verzeichnis „/home/holger/nagios-plugins-contrib“ wird verlassen
dh_auto_build: error: make -j1 returned exit code 2
make[1]: *** [debian/rules:11: override_dh_auto_build] Fehler 255
make[1]: Verzeichnis „/home/holger/nagios-plugins-contrib“ wird verlassen
make: *** [debian/rules:38: build] Fehler 2
dpkg-buildpackage: Fehler: Unterprozess debian/rules build lieferte Exitstatus 2
debuild: fatal error at line 1184:
dpkg-buildpackage -us -uc -ui failed
holger@riscv64-01:~/nagios-plugins-contrib$ dpkg-checkbuilddeps
holger@riscv64-01:~/nagios-plugins-contrib$

but looking at git log, I suppose I'm doing it wrong? :)

commit be7a81413d49ebb6ee83c724f4a0ef4c91bc45ab (HEAD -> master)
Author: root <[email-masked]>
Date:   Mon Feb 17 23:24:51 2025 +0800

    Auto update of debian/control

commit c967e51c789de7d559374fbe6305b53d8653fcdb
Author: root <[email-masked]>
Date:   Mon Feb 17 23:24:49 2025 +0800

    Auto update of debian/copyright   

commit 6924874140cdd5ca336f09895be05d0c0584b8e4 (origin/master, origin/HEAD)
Author: Bas Couwenberg <[email-masked]>
Date:   Mon Feb 17 15:40:50 2025 +0100

    Add patch to fix check_running_kernel on riscv64 with vmlinux images. (closes: #1096198)

I've literally just cloned the git repo, made sure I'm in the correct branch and that
the build-depends are installed and ran debuild...

-- 
cheers,
	Holger

 ⢀⣴⠾⠻⢶⣦⠀
 ⣾⠁⢠⠒⠀⣿⡁  holger@(debian|reproducible-builds|layer-acht).org
 ⢿⡄⠘⠷⠚⠋⠀  OpenPGP: B8BF54137B09D35CF026FE9D 091AB856069AAA1C
 ⠈⠳⣄

There are no jobs on a dead planet. (Also many other things but people mostly
seem to care about jobs.)